Subject: Re: bug#52347: Shell: error when -m manifest is removed

From: Liliana Marie Prikler <[email-masked]>
Date: Tue, 07 Dec 2021 14:48:50 +0100

Am Dienstag, den 07.12.2021, 14:41 +0100 schrieb zimoun:
> On Tue, 7 Dec 2021 at 14:33, Liliana Marie Prikler
> <[email-masked]> wrote:
> 
> > I am experiencing a similar situation without the container.  At
> > work,
> > I need some special Emacs packages, that I don't need/want in my
> > normal
> > setup, so I do `guix shell -m manifest.scm -- emacs'.  Even with
> > the
> > directory added to the good noodles list, `guix shell -- emacs'
> > fails,
> > probably because Guix assumes it has arguments when those really
> > are
> > just the command to run.  IOW the check for "when is implicit okay"
> > might be too narrow for this use case.
> 
> Similar root, I guess, described by 
> https://issues.guix.gnu.org/52347#8 :-)
I am pretty sure all files are owned by the same user in my case.  Can
stat:uid really return 0 then?